pamoil(1)

NAME
pamoil - turn a PAM image into an oil painting

SYNOPSIS
pamoil [-n N] [pamfile]

DESCRIPTION
Reads a Netpbm image as input. Does an "oil transfer", and writes the same type of Netpbm image as output.

The oil transfer is described in "Beyond Photography" by Holzmann, chapter 4, photo 7. It's a sort of localized smearing. The smearing works like this: First, assume a grayscale image. For each pixel in the image, pamoil looks at a square neighborhood around it. pamoil determines what is the most common pixel intensity in the neighborhood, and puts a pixel of that intensity into the output in the same position as the input pixel. For color images, or any arbitrary multi-channel image, pamoil computes each channel (e.g. red, green, and blue) separately the same way as the grayscale case above. At the edges of the image, where the regular neighborhood would run off the edge of the image, pamoil uses a clipped neighborhood.

OPTIONS

-n size
    This is the size of the neighborhood used in the smearing. The neighborhood is this many pixels in all four directions. The default is 3.

SEE ALSO
pgmbentley(1), ppmrelief(1), ppm(5)

AUTHOR
Based on pgmoil Copyright (C) 1990 by Wilson Bent (whb@hoh-2.att.com)

Modified to ppm by Chris Sheppard, June 25, 2001

Modified to pnm, using pam functions, by Bryan Henderson June 28, 2001.